Subject: Re: bug#39543: 28.0.50; Add completion to gnus-summary-save-parts from mime parts in the message

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Feb 2020 18:45:01 +0100

Eric Abrahamsen <[email-masked]> writes:

> I hadn't considered the case of multiple articles. Just for the sake of
> argument: if we're expecting to save parts from some of the
> process-marked articles, aren't we going to need to fetch them all,
> anyway?

We are, but unless you have backlog (etc) switched on, Gnus will then
fetch everything twice.

> Right, like I said this was more a proof of concept than a working
> solution. If you think there's a practical improvement to be made in
> here, I'd be happy to work on it.

If there's only one article in the selection, then ensuring that it's
fetched should be sufficient before you look at the MIME handles.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no